# go-rpm-macros-epel

The go-rpm-macros-epel contains backported Go RPM macros and generators from
Fedora. It also contains hotfixes for critical bugs in RHEL 9's go-rpm-macros
that were never addressed. The goal is for EPEL Go packaging to work as
similarly as possible to Fedora Go packaging.

This package contains the following backports:

## go-srpm-macros-epel

go-srpm-macros-epel contains backports of certain Go SRPM macros from Fedora.

- Change `%gometa` to pull in go-rpm-macros-epel.
  This way, packages don't need to BuildRequire it manually.
- Use forge-srpm-macros-epel backport


## go-rpm-macros-epel
go-rpm-macros-epel contains backports of certain Go RPM macros from Fedora.

- Override most of macros.golang to make sure our backports are used.
  We used to be more conservative about overriding RHEL macros, but this made
  rebasing difficult and caused bugs when different versions of the code were
  mixed together.

## go-rpm-macros-golist-symlink

go-rpm-macros-golist-symlink provides a symlink from /usr/bin to
go-rpm-macros's bundled golist, which is installed in
/usr/libexec/go-rpm-macros. This allows the macros that expect to find golist
in $PATH to work properly.

This was originally added to work around
[rhbz#2100618](https://bugzilla.redhat.com/show_bug.cgi?id=2100618) but should
no longer be necessary.
It's kept for backwards compatibility.
